package com.ruoyi.mall.domain.Bo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 综合分计算BO
 * @author 萌
 */
public class CountScoreBO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long id;

    /** 省份id */
    private Long provinceId;

    /** 学科 */
    private String subjectName;

    /** 学科类别(0-文科,1-理科) */
    private String subjectType;

    /** 文化分 */
    @NotNull(message = "缺少cultureSocre")
    private Integer cultureScore;

    /** 专业分 */
    @NotNull(message = "缺少majorScore")
    private Integer majorScore;

    /** 批次id */
    private Integer batchId;

    /** 页码 */
    @NotNull(message = "缺少pageNum")
    private Integer pageNum;

    /** 每页个数 */
    @NotNull(message = "缺少pageSize")
    private Integer pageSize;

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getBatchId() {
        return batchId;
    }

    public void setBatchId(Integer batchId) {
        this.batchId = batchId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public Integer getCultureScore() {
        return cultureScore;
    }

    public void setCultureScore(Integer cultureScore) {
        this.cultureScore = cultureScore;
    }

    public Integer getMajorScore() {
        return majorScore;
    }

    public void setMajorScore(Integer majorScore) {
        this.majorScore = majorScore;
    }

    @Override
    public String toString() {
        return "CountScoreBO{" +
                "id=" + id +
                ", provinceId=" + provinceId +
                ", subjectName=" + subjectName +
                ", subjectType='" + subjectType + '\'' +
                ", cultureScore=" + cultureScore +
                ", majorScore=" + majorScore +
                '}';
    }
}
